## nbd 1.2cvs20020320

=== gznbd/Makefile ===
gznbd: gznbd.c
	gcc -s -Wall -O2 -DTRACE gznbd.c -o gznbd -lz

## nbd 2.9.9

=== gznbd/Makefile ===
CC ?= gcc
CFLAGS ?= -s -O2
CFLAGS += -Wall
CPPFLAGS += -DTRACE
LDLIBS += -lz

all: gznbd

## nbd 3.7

=== gznbd/Makefile ===
--- 
+++ 
@@ -5,3 +5,8 @@
 LDLIBS += -lz
 
 all: gznbd
+
+clean:
+	rm -f gznbd *.o
+
+.PHONY: all clean

## nbd 3.15.1-2

=== debian/changelog ===
nbd (1:3.15.1-2) unstable; urgency=medium

  * Build nbd-client a second time with GnuTLS disabled, and install
    that into nbd-client-udeb; Closes: #848862.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 20 Dec 2016 20:36:11 +0100

nbd (1:3.15.1-1) unstable; urgency=medium

  * New upstream version; fixes WRITE_ZEROES with STARTTLS combination
    (one-line fix).

 -- Wouter Verhelst <wouter@debian.org>  Tue, 20 Dec 2016 12:22:53 +0100

nbd (1:3.15-1) unstable; urgency=medium

  * New upstream version
    - Add STARTTLS support; Closes: #409529
  * debian/control: build-depend on libgnutls28-dev to support the
    STARTTLS code.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 20 Dec 2016 01:08:18 +0100

nbd (1:3.14-4) unstable; urgency=medium

  * debian/nbd-server.postinst, debian/nbd-server.templates: remove
    leftover bits of pre-lenny upgrade support of nbd-server
    configuration, that somehow wasn't removed in 1:3.1-1
  * Cherry-pick one commit from upstream git to fix systemd unit
  * Add missing / at the end of the nbdpath= assignment in
    nbd-client.initrd. Closes: #840612.
  * Updated translations:
    - Danish, by Joe Dalton <joedalton2@yahoo.dk>; Closes: #830600.
    - Dutch, by yours truly. Unfortunately, while this translation was
      sitting in git, Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
      also submitted a Dutch translation. Keeping my original, but
      thanks anyway, Frans; Closes: #834620.
    - German, by Chris Leick <c.leick@vollbio.de>; Closes: #842495.
    - Brazilian Portuguese, by Adriano Rafael Gomes
      <adrianorg@arg.eti.br>; Closes: #824335.

 -- Wouter Verhelst <wouter@debian.org>  Mon, 21 Nov 2016 22:53:37 +0100

nbd (1:3.14-3) unstable; urgency=medium

  * Fix nbd-client postinst file. Closes: #830187
  * Updated translations:
    - Portuguese, by Américo Monteiro <a_monteiro@gmx.com>; Closes:
      #829394.

 -- Wouter Verhelst <wouter@debian.org>  Thu, 07 Jul 2016 15:21:54 +0200

nbd (1:3.14-2) unstable; urgency=medium

  * Fix up override_dh_auto_build hack so it doesn't trigger when not
    building from git checkout
  * debian/nbd-client.init.d: ignore comments in nbdtab

 -- Wouter Verhelst <wouter@debian.org>  Fri, 01 Jul 2016 17:45:16 +0200

nbd (1:3.14-1) unstable; urgency=medium

  * New upstream release.
    - Adds systemd unit for nbd-client; Closes: #796633.
    - Fixes usage of AF_UNIX addresses, fixing the build on kFreeBSD;
      Closes: 815445
  * Remove cruft from build directory.
  * debian/rules:override_dh_auto_build: test for cruft in git checkout
    before allowing a build, to avoid unclean uploads in the future.
  * debian/nbd-client.init.d: convert uses of /etc/nbd-client to
    /etc/nbdtab
  * debian/nbd-client.config: remove
  * debian/nbd-client.postinst: drop generation of /etc/nbd-client, but
    generate /etc/nbdtab from /etc/nbd-client if it exists and nbdtab is
    still the original unmodified nbdtab file that is shipped as a
    conffile.
  * debian/nbd-client.templates: remove most templates, reword the one
    that is still used, add a second one. This invalidates most debconf
    translations, but leaves the nbd-server ones in place.
  * Updated translations:
    - Japanese, by Takuma Yamada; Closes: #815953.

 -- Wouter Verhelst <wouter@debian.org>  Thu, 30 Jun 2016 22:33:45 +0200

nbd (1:3.13-1) unstable; urgency=medium

  * New upstream release.
    - Adds missing LFS includes in the treefiles.c file too, and fixes a race
      condition in the creation of tree files, so that it doesn't fail on
      little-endian 32-bit architectures and randomly elsewhere. Closes: #809581

 -- Wouter Verhelst <wouter@debian.org>  Mon, 04 Jan 2016 11:26:41 +0100

nbd (1:3.12.1-2) unstable; urgency=medium

  * Drop dependency on initscripts. Closes: #804991.
  * Install nbdtab.5 manpage
  * tests/code/trim.c: add missing #include for lfs.h, so that off_t is
    typedef'd with the LFS defines active. This should fix various FTBFS
    errors.
  * Cherry-pick ee0b0c9a from git HEAD to fix the location of the
    readit() function in cliserv.c, so it is defined if WORDS_BIGENDIAN
    is active, too.
  * Updated translations:
    - French, by Christian Perrier; Closes: #809020.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 29 Dec 2015 02:40:33 +0100

nbd (1:3.12.1-1) unstable; urgency=medium

  * New upstream release
    - Fixes listening on IPv6; Closes: #803795.
    - Fixes unrepeated use of read() system call; Closes: #703052.
  * Merge never-released branch targeted at experimental, which dealt
    with the fact that the oldstyle handshake protocol is no longer
    supported in nbd upstream.
  * Update debconf translation changes introduced in 1:3.10-1~1:
    - Dutch, by yours truly
    - Portuguese, by Américo Monteiro; Closes: #801911
    - Russian, by Yuri Kuzlov; Closes: #801883
    - Danish, by Joe Dalton.
    - German, by Chris Leick; Closes: #802201
    - Czech, by Miroslav Kure; Closes: #803224
    - Spanish, by Camaleón; Closes: #803308

 -- Wouter Verhelst <wouter@debian.org>  Wed, 11 Nov 2015 11:04:37 +0100

nbd (1:3.10-1) unstable; urgency=medium

  * New upstream release.
    - Includes new "cowdir" option; Closes: #470963.
  * Cherry-pick patch for CVE-2015-0847 from git HEAD; Closes: #784657.

 -- Wouter Verhelst <wouter@debian.org>  Sun, 17 May 2015 10:49:32 +0200

nbd (1:3.10-1~1) experimental; urgency=medium

  * New upstream release.
    - Drops support for oldstyle (port-based) exports; only name-based
      exports are supported anymore.
  * In light of the above, remove support for port-based exports from
    debconf code.
  * While at it, remove configuration upgrade routines needed only for upgrades
    from etch (!) and older

 -- Wouter Verhelst <wouter@debian.org>  Fri, 20 Mar 2015 10:13:17 +0100

nbd (1:3.8-4) unstable; urgency=medium

  * Rebuild without loads of junk from other branches. My previous build
    happened in an unclean git checkout; there was a lot of stuff in the


=== debian/control ===
Source: nbd
Section: admin
Priority: optional
Maintainer: Wouter Verhelst <wouter@debian.org>
Build-Depends: debhelper (>= 9), libglib2.0-dev (>= 2.26.0), libgnutls28-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/users/wouter/nbd.git
Vcs-Browser: http://git.debian.org/?p=users/wouter/nbd.git;a=summary
Homepage: http://nbd.sourceforge.net/

Package: nbd-server
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 1.2.9) | debconf-2.0, ucf, adduser, ${misc:Depends}
Description: Network Block Device protocol - server
 Network Block Device (NBD) is a client/server protocol that
 emulates a block device (such as a hard disk, a floppy, or a CD-ROM)
 over the network, thus giving the system the ability to swap over the
 network, or to use raw network disk space for other purposes.
 .
 However, writing to one Network Block Device from different clients
 simultaneously is not recommended, and would probably result in data
 loss. If you want multiple clients to share a remote resource, use a
 network file system such as NFS or Coda.
 .
 This package provides the server binary for NBD.

Package: nbd-client
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0
Description: Network Block Device protocol - client
 Network Block Device (NBD) is a client/server protocol that
 emulates a block device (such as a hard disk, a floppy, or a CD-ROM)
 over the network, thus giving the system the ability to swap over the
 network, or to use raw network disk space for other purposes.
 .
 However, writing to one Network Block Device from different clients
 simultaneously is not recommended, and would probably result in data
 loss. If you want multiple clients to share a remote resource, use a
 network file system such as NFS or Coda.
 .
 This package provides the client binary for NBD.

Package: nbd-client-udeb
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}
XC-Package-Type: udeb
Architecture: linux-any
Description: Network Block Device protocol - client for Debian Installer
 Network Block Device (NBD) is a client/server protocol that
 emulates a block device (such as a hard disk, a floppy, or a CD-ROM)
 over the network, thus giving the system the ability to swap over the
 network, or to use raw network disks pace for other purposes.
 .
 This package provides the client binary for NBD.
 .
 It is a minimal version meant for use in the installer only.

## nbd 3.15.2-3+deb9u1

=== debian/changelog ===
nbd (1:3.15.2-3+deb9u1) stretch-security; urgency=medium

  * Cherry-pick (relevant parts of) the fix for CVE-2022-26495 from git
    master. Closes: #1006915.
  * Fix parsing of nbdtab in nbd-client; Closes: #1003863.

 -- Wouter Verhelst <wouter@debian.org>  Wed, 09 Mar 2022 11:33:47 +0200

nbd (1:3.15.2-3) unstable; urgency=medium

  * tests/run/certs/client-cert.pem: regenerate with a certificate
    validity of 10 years rather than 1, so that the test suite does not
    fail.

 -- Wouter Verhelst <wouter@debian.org>  Mon, 24 Apr 2017 18:45:17 +0200

nbd (1:3.15.2-2) unstable; urgency=medium

  * Fix support for NFS-style exports that have ":/" in the name, to be
    better at backwards compatibility. Patch from Vagrant Cascadian;
    Closes: #846998. Thanks, Vagrant.
  * Fix IPv6 case of port-specifying exports, too. Patch by Vagrant as
    well; Closes: #840612.
  * Fix up Makefile.am so it really works on kFreeBSD, now, and rerun
    autotools.
  * Change configure.ac to hardcode version number rather than regenerating it
    from git tags (which doesn't work on the Debian branch...)

 -- Wouter Verhelst <wouter@debian.org>  Tue, 21 Mar 2017 14:41:37 +0100

nbd (1:3.15.2-1) unstable; urgency=medium

  * New upstream release
    - Fixes data corruption with multiple threads and copyonwrite enabled;
      Closes: #852288, #849504. Why did I create multiple bugs for this?
      Ah well, no matter.

 -- Wouter Verhelst <wouter@debian.org>  Wed, 22 Feb 2017 00:09:31 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

%:
	dh $@

override_dh_auto_configure: debian/po/templates.pot
	test -f nbd.h
	if [ -d .git ]; then test $$(git status --porcelain | wc -l) -le 0; fi
	dh_auto_configure -- --enable-lfs --enable-syslog \
			--prefix=/ --mandir=/usr/share/man

override_dh_install:
	install -d debian/tmp/usr/share/initramfs-tools/scripts/local-top
	install -d debian/tmp/usr/share/initramfs-tools/hooks
	install -d debian/tmp/etc
	install -d debian/tmp/usr/share/nbd-server
	install -d debian/nbd-client-udeb/sbin
	install -m 644 debian/nbd-client.nbdtab debian/tmp/etc/nbdtab
	install -m 755 debian/nbd-client.initrd debian/tmp/usr/share/initramfs-tools/scripts/local-top/nbd
	install -m 755 debian/nbd-client.initramfs-hook debian/tmp/usr/share/initramfs-tools/hooks/nbd
	install -m 644 debian/nbd-server.conf.tmpl debian/tmp/usr/share/nbd-server/nbd-server.conf.tmpl
	install -m 755 debian/tmp/sbin/min-nbd-client debian/nbd-client-udeb/sbin/nbd-client
	dh_install -s

override_dh_installinit:
	dh_installinit -p nbd-client --no-start -- start 41 S . stop 34 0 6 .
	dh_installinit -p nbd-server

debian/po/templates.pot: debian/nbd-client.templates debian/nbd-server.templates
	@debconf-updatepo

## nbd 3.26.1

=== debian/changelog ===
nbd (1:3.26.1-6.1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110445). Remaining changes:
    - Fix nbd autopkgtests to make the initrd-boot autopkgtest more robust and
      remove the flaky tag (LP #2054480)
      + d/t/control: remove flaky for initrd-boot, allow-root for initrd-boot test
      + d/t/initrd-boot: make initrd-boot pass on all architectures
        - Allocate swap space to not run out of memory (except armhf where it isn't
          possible)
        - Changes for s390x and ppc64el (LP #2078255)
          + Disable vga in debvm-run to avoid failing on ppc64el
          + Disable early failure as debvm-waitssh might fail on some
            architectures even when the test might pass

 -- Jonas Jelten <jonas.jelten@canonical.com>  Wed, 06 Aug 2025 16:45:37 +0200

nbd (1:3.26.1-6.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Update debconf template translations
    - Spanish translation.
      Thanks to Camaleón (Closes: #1051845)
    - Catalan translation.
      Thanks to Carles Pina i Estany (Closes: #1091710)
    - Brazilian Portuguese translation.
      Thanks to Carles Adriano Rafael Gomes (Closes: #1093455)
  * New debconf template translation
    - Romanian translation.
      Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org> 
      (Closes: #1101567)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 30 Mar 2025 08:23:50 +0200

nbd (1:3.26.1-6ubuntu1) plucky; urgency=medium

  * Fix nbd autopkgtests to make the initrd-boot autopkgtest more robust and
    remove the flaky tag (LP: #2054480)
    - d/t/control: remove flaky for initrd-boot, allow-root for initrd-boot test
    - d/t/initrd-boot: make initrd-boot pass on all architectures
      + Allocate swap space to not run out of memory (except armhf where it isn't
        possible)
      + Changes for s390x and ppc64el (LP: #2078255)
        - Disable vga in debvm-run to avoid failing on ppc64el
        - Disable early failure as debvm-waitssh might fail on some
          architectures even when the test might pass

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Thu, 23 Jan 2025 01:26:43 +0530

nbd (1:3.26.1-6) unstable; urgency=medium

  [ Michael Biebl ]
  * debian/tests/get-deb-codename.pl: drop, no longer required.
  * Mark initrd-boot autopkgtest as flaky; it doesn't pass on debci yet and
    thus blocks migration.

  [ Wouter Verhelst ]
  * debian/tests/initrd-boot: increase timeouts to (hopefully) allow for it to
    not fail.

  [ Helmut Grohne ]
  * Drop /sbin from nbd-client. (Closes: #1080063).

 -- Wouter Verhelst <wouter@debian.org>  Sun, 01 Sep 2024 20:14:32 +0200

nbd (1:3.26.1-5) unstable; urgency=medium

  * Ack NMU.
  * debian/tests/initrd-boot: Skip parsing os-release, as suggested by Helmut
    Grohne, to improve similarity between host and guest systems; not passing
    a distribution causes debvm-build to generate a VM with the same apt
    configuration as the host, so that should help.
  * debian/nbd-client.initrd: Drop cfq handling. CFQ has not been the default
    in the Linux kernel for ages now, and the handling requires grep, which is
    not in some initrd images.

 -- Wouter Verhelst <wouter@debian.org>  Sat, 24 Aug 2024 15:45:40 +0200

nbd (1:3.26.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/nbd-client.links: move the symlink to /usr. Closes: #1073693.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Aug 2024 09:22:24 +0200

nbd (1:3.26.1-4) unstable; urgency=medium

  * debian/not-installed: usrmerge this as well

 -- Wouter Verhelst <wouter@debian.org>  Wed, 17 Jul 2024 00:40:54 +0200

nbd (1:3.26.1-3) unstable; urgency=medium

  * debian/tests/initrd-boot: just source the whole os-release file,
    rather than trying to selectively grep things

 -- Wouter Verhelst <wouter@debian.org>  Tue, 16 Jul 2024 11:33:21 +0200

nbd (1:3.26.1-2) unstable; urgency=medium

  * systemd/nbd@.service.tmpl: cherry-pick patch from master to add dependency
    on the nbd module being loaded. Closes: #1070964.
  * debian/tests/initrd-boot: account for "set -u" in variables that we're
    validating.
  * debian/rules, debian/nbd-client.install, debian/nbd-server.install:
    Perform /usr move. Closes: 1073693.

 -- Wouter Verhelst <wouter@debian.org>  Wed, 15 May 2024 11:23:04 +0200

nbd (1:3.26.1-2~exp2) experimental; urgency=medium

  * Use an ugly perl script to figure out whether we are running on
    unstable. Yah, I know.

 -- Wouter Verhelst <wouter@debian.org>  Wed, 10 Apr 2024 12:36:19 +0200

nbd (1:3.26.1-2~exp1) experimental; urgency=medium

  * Add missing po-debconf build-dep

 -- Wouter Verhelst <wouter@debian.org>  Sun, 07 Apr 2024 14:55:35 +0200

nbd (1:3.26.1-2~exp0) experimental; urgency=medium

  [ Dave Jones ]
  * Add docbook build-dep, re-arrange build-deps
  * Fix lintian pedantic: silent-on-rules-requiring-root
  * Fix lintian warning: debian-rules-sets-dpkg-architecture-variable
  * Fix lintian error: alien tag init.d-script-missing-dependency-on-remote_fs
  * Fix lintian error: no-debconf-config
  * Fix lintian warning: maintainer-script-ignores-errors
  * Fix lintian warning: newer-debconf-templates
  * Fix lintian warning: newer-debconf-templates
  * Fix lintian warning: missing-systemd-service-for-init.d-script
  * Set sensible default for port
  * Fix the check & no cases of enable_manpages
  * Add a slightly more complicated read-write test
  * Add an initrd test
  * Tighten restrictions on server
  * Tighten restrictions on the nbd-client service
  * Fix lintian warning: systemd-service-file-shutdown-problems

  [ Wouter Verhelst ]
  * Drop now-superfluous g_key_file_free(). Closes: #1066831.

 -- Wouter Verhelst <wouter@debian.org>  Sun, 07 Apr 2024 11:54:59 +0200

nbd (1:3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Updated swedish debconf translations; Closes: #1057774.


=== debian/control ===
--- 
+++ 
@@ -1,12 +1,24 @@
 Source: nbd
 Section: admin
 Priority: optional
-Maintainer: Wouter Verhelst <wouter@debian.org>
-Build-Depends: debhelper (>= 9), libglib2.0-dev (>= 2.26.0), libgnutls28-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/users/wouter/nbd.git
-Vcs-Browser: http://git.debian.org/?p=users/wouter/nbd.git;a=summary
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Wouter Verhelst <wouter@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ libglib2.0-dev (>= 2.26.0),
+ libgnutls28-dev,
+ libnl-genl-3-dev [linux-any],
+ docbook-utils,
+ docbook,
+ po-debconf,
+ autoconf-archive,
+ bison,
+ flex,
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/wouter/nbd.git
+Vcs-Browser: https://salsa.debian.org/wouter/nbd
 Homepage: http://nbd.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: nbd-server
 Architecture: any
@@ -43,8 +55,8 @@
 Package: nbd-client-udeb
 Section: debian-installer
 Priority: optional
-Depends: ${shlibs:Depends}
-XC-Package-Type: udeb
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Package-Type: udeb
 Architecture: linux-any
 Description: Network Block Device protocol - client for Debian Installer
  Network Block Device (NBD) is a client/server protocol that

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

clean:
	debconf-updatepo
	dh clean


override_dh_autoreconf:
	./autogen.sh

override_dh_auto_configure: debian/po/templates.pot
	test -f nbd.h
	if [ -d .git ]; then if [ $$(git status --porcelain | tee gitstatus | wc -l) -ne 1 ]; then echo "GIT STATUS:"; echo "==========="; cat gitstatus; exit 1; fi; rm gitstatus; fi
	dh_auto_configure -- --enable-lfs --enable-syslog \
			--mandir=/usr/share/man

override_dh_install:
	install -d debian/tmp/usr/share/initramfs-tools/scripts/local-top
	install -d debian/tmp/usr/share/initramfs-tools/hooks
	install -d debian/tmp/etc
	install -d debian/tmp/usr/share/nbd-server
	install -d debian/nbd-client-udeb/sbin
	install -m 644 debian/nbd-client.nbdtab debian/tmp/etc/nbdtab
	install -m 755 debian/nbd-client.initrd debian/tmp/usr/share/initramfs-tools/scripts/local-top/nbd
	install -m 755 debian/nbd-client.initramfs-hook debian/tmp/usr/share/initramfs-tools/hooks/nbd
	install -m 644 debian/nbd-server.conf.tmpl debian/tmp/usr/share/nbd-server/nbd-server.conf.tmpl
	if [ -f debian/tmp/sbin/min-nbd-client ]; then install -m 755 debian/tmp/sbin/min-nbd-client debian/nbd-client-udeb/sbin/nbd-client; fi
	dh_install -a

override_dh_installinit:
	dh_installinit -p nbd-client --no-start -- start 41 S . stop 34 0 6 .
	dh_installinit -p nbd-server

debian/po/templates.pot: debian/nbd-client.templates debian/nbd-server.templates
	@debconf-updatepo

=== debian/tests/control ===
Tests: read-write
Depends:
 nbd-client,
 nbd-server,
Restrictions: needs-root, allow-stderr, isolation-machine

Tests: initrd-boot
Depends:
 debvm,
 openssh-client,
 nbd-server,
 e2fsprogs,
 uidmap,
 awk,
Restrictions: needs-root, allow-stderr
